package log

import (
	"testing"
	"time"
)

func TestNewServer(t *testing.T) {
	server, err := NewServer("127.0.0.1:3377", "./test/server")
	if err != nil {
		t.Error(err)
		return
	}
	if err = server.ListenAndServe(); err != nil {
		t.Error(err)
	}
}

func TestNewClient(t *testing.T) {
	conn, err := NewClientLogger("127.0.0.1:3377")
	if err != nil {
		t.Error(err)
		return
	}
	conn.Debug("Test %s", "Debug")
	conn.Info("Test %s", "Info")
	conn.Warn("Test %s", "Warn")
	conn.Error("Test %s", "Error")

	svc, err := NewClientPrinter("svc", "127.0.0.1:3377")
	if err != nil {
		t.Error(err)
		return
	}
	svc.Println("Test %s", time.Now())
	svc.Println("Test %s", time.Now())
}
